[Upgrade] TLS 1.2 for AppSwitch REST API

Providing a secure payment experience enables your customers to feel confident about transacting with your web platform. For this reason, MobilePay is planning to make the following changes for all REST API Services related to MobilePay AppSwitch:

  •  Disable TLS1.0 and TLS1.1
  • Change will take place on 15th of June 2020

Please upgrade your solution to use TLS 1.2 or your MobilePay AppSwitch solution will stop working on the 15th of June 2020. If you are already using TLS 1.2, you don’t need to do anything.

The upgrade only relates to the REST API and not the AppSwitch SDK. However, we recommend that you use the newest protocol (TLS 1.2) for all your communication. 

Change impact

This change could potentially affect your systems if you are using an out-of-date HTTPS client to call MobilePay API GW. Please ensure that your system is configured to support TLS 1.2 to ensure that you can continue to call MobilePay API. 

Note, if you use a third party for a custom-built solution, then you might need to verify that you are protected with the hosting vendor of that solution.

More information

If issues are seen or if you have questions, please do not hesitate to contact us at developer@mobilepay.dk